%global momorel 1

Summary: epsilon
Name: epsilon
Version: 0.3.0.012
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/
Source0: http://download.enlightenment.org/snapshots/2008-01-25//%{name}-%{version}.tar.bz2
NoSource: 0
#Patch0: epsilon-0.3.0-lib64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: doxygen
BuildPreReq: imlib2-devel
BuildPreReq: libpng-devel
BuildPreReq: epeg-devel >= 0.9.1.042-1m
BuildRequires: ecore-devel edje-devel evas-devel epeg-devel
BuildRequires: libjpeg-devel libpng-devel xine-lib imlib2-devel
BuildRequires: chrpath pkgconfig

%description
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org.

%package        xine
Summary:        Optional video thumbnailing support for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 

%description    xine
This optional plugin gives Epsilon ability to create thumbnails of video files
using xine-lib.

%package devel
Summary: Epsilon headers, static libraries, documentation and test programs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: imlib2-devel ecore-devel
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/%{name}*
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}*
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*

#%%makeinstall transform='s,x,x,'

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}*
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins/

%files xine
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/xine_thumbnailer.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0.012-1m)
- merge from T4R
-
-changelog is below
- * Tue Mar 25 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- - (0.3.0.012-1m)
- - update to 0.3.0.012

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0.007-0.20061222.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0.007-0.20061222.2m)
- %%NoSource -> NoSource

* Mon Jan  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0.007-0.20061222.1m)
- version 0.3.0.007-20061222

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0.004-0.20051209.1m)
- version 0.3.0.004-20051209

* Tue Jun 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0.003-0.20050627.1m)
- version 0.3.0.003-20050627

* Thu Feb 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0-20050215-1m)
- version 0.3.0-20050215

* Mon Jan 24 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.3.0-20041218-3m)
- enable x86_64.

* Thu Jan 13 2005 zunda <zunda at freeshell.org>
- (0.3.0-20041218-2m)
- added defattr(-,root,root) to -devel files

* Tue Dec 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.0-20041218-1m)
- first import to Momonga

